Public Class Form1

    Private Sub CheckBox10_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs)

    End Sub

    Private Sub ButtonFindConnected_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonFindConnected.Click
        Dim nameStrings(20) As String
        Dim boardsFound As Long
        Dim i As Integer

        ' get a list of connected top16 boards

        boardsFound = top16VB2005.getTop16BoardNames(nameStrings)
        If (boardsFound > 0) Then
            For i = 0 To boardsFound
                ComboBoxDeviceList.Items.Add(nameStrings(i))
            Next


            ComboBoxDeviceList.SelectedIndex = 0

        End If


    End Sub

    Private Sub CheckBox1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox1.CheckedChanged
        If (CheckBox1.Checked) Then
            top16VB2005.setOutputs(ComboBoxDeviceList.SelectedItem, 1, 1)
        Else
            top16VB2005.setOutputs(ComboBoxDeviceList.SelectedItem, 1, 0)
        End If


    End Sub

    Private Sub CheckBox8_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox8.CheckedChanged
        If (CheckBox8.Checked) Then
            top16VB2005.setOutputs(ComboBoxDeviceList.SelectedItem, 128, 1)
        Else
            top16VB2005.setOutputs(ComboBoxDeviceList.SelectedItem, 128, 0)
        End If
    End Sub

    Private Sub CheckBox2_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox2.CheckedChanged
        If (CheckBox2.Checked) Then
            top16VB2005.setOutputs(ComboBoxDeviceList.SelectedItem, 2, 1)
        Else
            top16VB2005.setOutputs(ComboBoxDeviceList.SelectedItem, 2, 0)
        End If
    End Sub

    Private Sub CheckBox3_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox3.CheckedChanged
        If (CheckBox3.Checked) Then
            top16VB2005.setOutputs(ComboBoxDeviceList.SelectedItem, 4, 1)
        Else
            top16VB2005.setOutputs(ComboBoxDeviceList.SelectedItem, 4, 0)
        End If
    End Sub

    Private Sub CheckBox4_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox4.CheckedChanged
        If (CheckBox4.Checked) Then
            top16VB2005.setOutputs(ComboBoxDeviceList.SelectedItem, 8, 1)
        Else
            top16VB2005.setOutputs(ComboBoxDeviceList.SelectedItem, 8, 0)
        End If
    End Sub

    Private Sub CheckBox5_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox5.CheckedChanged
        If (CheckBox5.Checked) Then
            top16VB2005.setOutputs(ComboBoxDeviceList.SelectedItem, 16, 1)
        Else
            top16VB2005.setOutputs(ComboBoxDeviceList.SelectedItem, 16, 0)
        End If
    End Sub

    Private Sub CheckBox6_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox6.CheckedChanged
        If (CheckBox6.Checked) Then
            top16VB2005.setOutputs(ComboBoxDeviceList.SelectedItem, 32, 1)
        Else
            top16VB2005.setOutputs(ComboBoxDeviceList.SelectedItem, 32, 0)
        End If
    End Sub

    Private Sub CheckBox7_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox7.CheckedChanged
        If (CheckBox7.Checked) Then
            top16VB2005.setOutputs(ComboBoxDeviceList.SelectedItem, 64, 1)
        Else
            top16VB2005.setOutputs(ComboBoxDeviceList.SelectedItem, 64, 0)
        End If
    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        If (ComboBoxDeviceList.SelectedIndex >= 0) Then
            valueLabel.Text = 0 + top16VB2005.readAnalog(ComboBoxDeviceList.SelectedItem, 1, 90)

            REM update the digtial inputs

            Dim digitalInputs As Int32
            Dim booleanStates(8) As Boolean

            digitalInputs = top16VB2005.GetDigitalInputs(ComboBoxDeviceList.SelectedItem, booleanStates)

            If (booleanStates(0) = True) Then
                CheckBoxDigIn1.Checked = True
            Else : CheckBoxDigIn1.Checked = False
            End If
            If (booleanStates(1) = True) Then
                CheckBoxDigIn2.Checked = True
            Else : CheckBoxDigIn2.Checked = False
            End If
            If (booleanStates(2) = True) Then
                CheckBoxDigIn3.Checked = True
            Else : CheckBoxDigIn3.Checked = False
            End If
            If (booleanStates(3) = True) Then
                CheckBoxDigIn4.Checked = True
            Else : CheckBoxDigIn4.Checked = False
            End If
            If (booleanStates(4) = True) Then
                CheckBoxDigIn5.Checked = True
            Else : CheckBoxDigIn5.Checked = False
            End If
            If (booleanStates(5) = True) Then
                CheckBoxDigIn6.Checked = True
            Else : CheckBoxDigIn6.Checked = False
            End If
            If (booleanStates(6) = True) Then
                CheckBoxDigIn7.Checked = True
            Else : CheckBoxDigIn7.Checked = False
            End If
            If (booleanStates(7) = True) Then
                CheckBoxDigIn8.Checked = True
            Else : CheckBoxDigIn8.Checked = False
            End If


        End If







       


    End Sub
End Class
